<?php

namespace App\Http\Controllers\View;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;
use App\Models\RandDVoting;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class RandDController extends Controller
{
    public function showVoteSinglePage($id, Request $request)
    {
        $isError = false;
        $message = '';

        if (! RandDVoting::where('id', $id)->first()) {
            abort(404);
        } elseif (RandDVoting::where('id', $id)->where('status', '4')->first()) {
            $isError = true;
            $message = 'زمان امتیازدهی این پروژه به پایان رسیده است.';
        } elseif (RandDVoting::find($id)->answers->where('user_id', Auth::user()->id)->first()) {
            $isError = true;
            $message = 'شما قادر به امتیازدهی مجدد نمی‌باشید.';
        }
        
        $id = $request->id;
        $project_title = RandDVoting::find($id)->project->title;
        return view('rmto-preview.pages.randd-rating-form', compact('id', 'isError', 'message', 'project_title'));
    }


    public function showRandDSecond()
    {
        $isError = false;
        $message = '';

        if (!Auth::check() && !Auth::user()->hasRole('RandD') || !Auth::user()->hasRole('superadmin')) {
            $isError = true;
            $message = 'شما دسترسی به این صفحه ندارید.';
        }

        return view('rmto-preview.pages.RandSecond', compact('isError', 'message'));
    }


    public function showRandDFirst()
    {
        $isError = false;
        $message = '';

        // if (Auth::check() && Auth::user()->hasRole('RandD') || Auth::user()->hasRole('superadmin')) {

        // }
    }
}
